missing headers in kdepim-dev 4:4.4.0-0ubuntu1

Bug #523173 reported by Philip Johnsson
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
kdepim (Ubuntu)
Fix Released
Undecided
Unassigned

Bug Description

Binary package hint: kdepim

Just as the topic say.kdepim-dev 4:4.4.0-0ubuntu1 is missing headers (and other development files) so I can't build anything against kdepim or that depends on the kdepim-dev headers etc.

Related branches

Revision history for this message
Alessandro Ghersi (alessandro-ghersi) wrote :

Only kopete-cryptography needs kdepim-dev to build as you can see:

reverse-build-depends --distribution lucid kdepim-dev
Reverse Build-depends in universe:
---------------------------------

kopete-cryptography

Found a total of 1 reverse build-depend(s) for kdepim-dev.

Reverse Build-depends in main:
------------------------------

No reverse build-depends found for kdepim-dev.

Reverse Build-depends in multiverse:
----------------------------------

No reverse build-depends found for kdepim-dev.

What source are you trying to build that you need kdepim-dev ?

Revision history for this message
Philip Johnsson (philip5) wrote :

In my case I want to build kmymoney2 3.95.0 that use the kleopatra api found in kdepim in kde4. That is mandatory to build kmymoney2 and nothing that gives some optional feature. in a nutshell; kmymoney2 is broken without it.

I really can't see why it would be wise to keep the whole kdepim development stuff from the kubuntu/ubuntu developers. Even though it might be so that there is only kopete-cryptography in main or motu that use it right now (or can build with out it so it doesn't give any dependencies but might give missing features, at least in theory). Anyone who want to build or develop software that will use kdepim api:s like kleopatra or others would have to rebuild kdepim with headers, use a forked PPA or something like that with header files or in the worst case use an other distribution.

Changed in kdepim (Ubuntu):
status: New → Fix Committed
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kdepim - 4:4.4.1-0ubuntu1

---------------
kdepim (4:4.4.1-0ubuntu1) lucid; urgency=low

  [ Alessandro Ghersi ]
  * New upstream release
    - Bump build-depends
    - Drop kubuntu_31_lack_of_akonadiserver_startup.diff fixed by upstream
    - kalarm does no more need to suggest kmix
    - Add kubuntu_01_kdepim-install-headers.diff ship headers again,
      kopete-cryptography needs it to build
    - Update kdepim-dev.install (LP: #523173)
    - Update not-installed file
    - Update kaddressbook.install
    - blogilo conflicts/replaces bilbo (<= 1.0)
 -- Alessandro Ghersi <email address hidden> Sat, 27 Feb 2010 23:42:25 +0100

Changed in kdepim (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers